<?php

$contentData = [
    "heightInches" => [
        "label" => "Ht. (in.)",
        "value" => "",
        "date" => "",
    ],
    "weightPounds" => [
        "label" => "Wt. (lbs.)",
        "value" => "",
        "date" => "",
    ],
    "temperatureF" => [
        "label" => "Temp. (F)",
        "value" => "",
        "date" => "",
    ],
    "pulseRatePerMinute" => [
        "label" => "Pulse",
        "value" => "",
        "date" => "",
    ],
    "respirationRatePerMinute" => [
        "label" => "Resp.",
        "value" => "",
        "date" => "",
    ],
    "pulseOx" => [
        "label" => "Pulse Ox.",
        "value" => "",
        "date" => "",
    ],
    "systolicBP" => [
        "label" => "SBP",
        "value" => "",
        "date" => "",
    ],
    "diastolicBP" => [
        "label" => "DBP",
        "value" => "",
        "date" => "",
    ],
    "smokingStatus" => [
        "label" => "Smoking Status",
        "value" => "",
        "date" => "",
    ],
    "bmi" => [
        "label" => "BMI (kg/m²)",
        "value" => "",
        "date" => "",
    ],
];

if($patient->canvas_data) {
    $canvasData = json_decode($patient->canvas_data, true);
    if(isset($canvasData["vitals"])) {
        $contentData = $canvasData["vitals"];
    }
}

foreach ($contentData as $k => $vital) {
?>
    <div class="d-flex vital-item align-items-center">
        <span class="content-html text-nowrap">
            <span><?= $vital["label"] ?>:</span>
            <b><?= isset($vital["value"]) && !empty($vital["value"]) ? $vital["value"] : '-' ?></b>
            <?php if(!!$vital["date"]): ?>
                <span class="font-weight-normal text-secondary ml-2 text-sm">(as on <?= friendly_date_time($vital["date"], false) ?>)</span>
            <?php endif; ?>
        </span>
    </div>
<?php
}
?>
